MCOOKIE(1)

NUME
mcookie - generează cookie-uri magice pentru xauth

REZUMAT

mcookie [opțiuni]

DESCRIERE

mcookie generează un număr hexazecimal aleatoriu pe 128 de biți pentru a fi utilizat cu sistemul de autorizare X. Utilizare tipică:

    xauth add :0 . mcookie

Numărul „aleator” generat este de fapt un mesaj MD5 de informații aleatoare provenite din una dintre sursele apelului de sistem getrandom(2), /dev/urandom, /dev/random sau funcțiile pseudo-aleatoare ale libc, în această ordine de preferință. A se vedea, de asemenea, opțiunea --file.

OPȚIUNI

-f, --file fișier
    Utilizează acest fișier ca o sursă suplimentară de date aleatoare (de exemplu /dev/urandom). Atunci când fișierul este „-”, caracterele sunt citite de la intrarea standard.

-m, --max-size număr
    Citește din fișier doar acest număr de octeți. Această opțiune este menită să fie utilizată atunci când se citește o cantitate suplimentară de date aleatorii dintr-un fișier sau dispozitiv.

    Argumentul număr poate fi urmat de sufixele multiplicative KiB (=1024), MiB (=1024*1024), și așa mai departe pentru GiB, TiB, PiB, EiB, ZiB și YiB („iB” este opțional, de exemplu, „K” are aceeași semnificație ca și „KiB”) sau sufixele KB (=1000), MB (=1000*1000), și așa mai departe pentru GB, TB, PB, EB, ZB și YB.

-v, --verbose
    Informează de unde provine aleatoria, cu cantitatea de entropie citită din fiecare sursă.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

FIȘIERE

/dev/urandom

/dev/random

ERORI

Se presupune că niciuna dintre sursele de aleatorie nu se va bloca.

CONSULTAȚI ȘI

md5sum(1), X(7), xauth(1), rand(3)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda mcookie face parte din pachetul util-linux care poate fi descărcat de la